Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface ICategory

All Superinterfaces:
  IAdaptable

All Known Implementing Classes:
  Category

public interface ICategory
extends IAdaptable

Feature category definition. A site can organize its features into categories. Categories can be further organized into hierarchies. Each category name is a composed of the name of its parent and a simple identifier separated by a slash ("/"). For example `tools/utilities/print` defines a category that is a child of `tools/utilities` and grandchild of `tools`.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `Category`

Method Summary
`IURLEntry` | `getDescription()` Retrieve the detailed category description
`String` | `getLabel()` Retrieve the displayable label for the category
`String` | `getName()` Retrieve the name of the category.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getName

    public String getName()

  Retrieve the name of the category. The name can be a simple token (root category) or a number of slash-separated ("/") tokens.

  Returns:
    the category name
  Since:
    2.0

### getLabel

    public String getLabel()

  Retrieve the displayable label for the category

  Returns:
    displayable category label, or `null`
  Since:
    2.0

### getDescription

    public IURLEntry getDescription()

  Retrieve the detailed category description

  Returns:
    category description, or `null`
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.